"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const parallelPreprocessor = require("../../coord/parallel/parallelPreprocessor.js");
const ParallelView = require("./ParallelView.js");
const ParallelModel = require("../../coord/parallel/ParallelModel.js");
const parallelCreator = require("../../coord/parallel/parallelCreator.js");
const axisModelCreator = require("../../coord/axisModelCreator.js");
const AxisModel = require("../../coord/parallel/AxisModel.js");
const ParallelAxisView = require("../axis/ParallelAxisView.js");
const parallelAxisAction = require("../axis/parallelAxisAction.js");
var defaultAxisOption = {
  type: "value",
  areaSelectStyle: {
    width: 20,
    borderWidth: 1,
    borderColor: "rgba(160,197,232)",
    color: "rgba(160,197,232)",
    opacity: 0.3
  },
  realtime: true,
  z: 10
};
function install(registers) {
  registers.registerComponentView(ParallelView.default);
  registers.registerComponentModel(ParallelModel.default);
  registers.registerCoordinateSystem("parallel", parallelCreator.default);
  registers.registerPreprocessor(parallelPreprocessor.default);
  registers.registerComponentModel(AxisModel.default);
  registers.registerComponentView(ParallelAxisView.default);
  axisModelCreator.default(registers, "parallel", AxisModel.default, defaultAxisOption);
  parallelAxisAction.installParallelActions(registers);
}
exports.install = install;
